﻿using System;

namespace Ruru.Game
{
    public class Referee
    {
        /// <summary>
        /// Hitter의 숫자
        /// </summary>
        private int[] hit;

        /// <summary>
        /// Hitter의 숫자
        /// </summary>
        public int[] Hit
        {
            set { hit = value; }
        }

        /// <summary>
        /// Pitcher의 숫자
        /// </summary>
        private int[] pit;

        /// <summary>
        /// Pitcher의 숫자
        /// </summary>
        public int[] Pit
        {
            set { pit = value; }
        }

        /// <summary>
        /// 심판 생성자
        /// </summary>
        public Referee()
        {
        }

        /// <summary>
        /// 스트라이크 갯수
        /// </summary>
        public int Strike()
        {
            int count = 0;

            for (int i = 0; i < pit.Length; i++)
                if (pit[i] == hit[i])
                    count++;

            return count;
        }

        /// <summary>
        /// 볼 갯수
        /// </summary>
        public int Ball()
        {
            int count = 0;

            for (int i = 0; i < pit.Length; i++)
                for (int j = 0; j < pit.Length; j++)
                    if (i != j && pit[i] == hit[j])
                        count++;

            return count;
        }
    }
}
